SingleCheckExecutor (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.helper, class: SingleCheckExecutor

Package org.apache.tools.ant.helper

# Class SingleCheckExecutor

java.lang.Object
org.apache.tools.ant.helper.SingleCheckExecutor

All Implemented Interfaces:
  `Executor`

public class SingleCheckExecutor extends Object implements Executor
"Single-check" Target executor implementation. Differs from `DefaultExecutor` in that the dependencies for all targets are computed together, so that shared dependencies are run just once.

Since:
  Ant 1.6.3

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SingleCheckExecutor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `executeTargets(Project project, String[] targetNames)`
  Execute the specified Targets for the specified Project.
  `Executor`
  `getSubProjectExecutor()`
  Get the appropriate subproject Executor instance.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SingleCheckExecutor

    public SingleCheckExecutor()

- ## Method Details

  - ### executeTargets

    public void executeTargets(Project project, String[] targetNames) throws BuildException
    Execute the specified Targets for the specified Project..
    Specified by:
      `executeTargets` in interface `Executor`
    Parameters:
      `project` - the Ant Project.
      `targetNames` - String[] of Target names as specified on the command line.
    Throws:
      `BuildException` - on error

  - ### getSubProjectExecutor

    public Executor getSubProjectExecutor()
    Get the appropriate subproject Executor instance. This allows the top executor to control what type of executor is used to execute subprojects via <ant>/<antcall>/<subant> and task that extend these. All bundled Executors return a SingleCheckExecutor (running a merged set of depended targets for all targets called) to run sub-builds..
    Specified by:
      `getSubProjectExecutor` in interface `Executor`
    Returns:
      an Executor instance.